<?php

/*
Installing the ad mod for the first time
*/
db_query("
CREATE TABLE IF NOT EXISTS {$db_prefix}ads (
ADS_ID mediumint(8) unsigned NOT NULL auto_increment,
NAME tinytext NOT NULL,
CONTENT text NOT NULL,
BOARDS tinytext,
POSTS tinytext,
HITS mediumint(8) NOT NULL default '0',
TYPE smallint(4) NOT NULL default '0',
show_index smallint(4) NOT NULL default '0',
show_board smallint(4) NOT NULL default '0',
show_threadindex smallint(4) NOT NULL default '0',
show_lastpost smallint(4) NOT NULL default '0',
show_thread smallint(4) NOT NULL default '0',
show_bottom smallint(4) NOT NULL default '0',
show_welcome smallint(4) NOT NULL default '0',
show_topofpage smallint(4) NOT NULL default '0',
show_towerright smallint(4) NOT NULL default '0',
show_towerleft smallint(4) NOT NULL default '0',
show_betweencategories smallint(4) NOT NULL default '0',
show_underchildren smallint(4) NOT NULL default '0',
PRIMARY KEY (ADS_ID)
)", __FILE__, __LINE__);

db_query("
CREATE TABLE IF NOT EXISTS {$db_prefix}ads_settings (
  variable tinytext NOT NULL,
  value text NOT NULL,
  PRIMARY KEY (variable(30))
)", __FILE__, __LINE__);

/*
If you've already had the mod installed this will just make sure that you have the most current version of the database
*/
$result = db_query("SHOW COLUMNS FROM {$db_prefix}ads LIKE 'show_lastpost'", __FILE__, __LINE__);
if (mysql_num_rows($result) == 0)
	db_query("
		ALTER IGNORE TABLE {$db_prefix}ads
		ADD	show_lastpost smallint(4) NOT NULL default '0' AFTER show_threadindex", __FILE__, __LINE__);

$result = db_query("SHOW COLUMNS FROM {$db_prefix}ads LIKE 'CATEGORY'", __FILE__, __LINE__);
if (mysql_num_rows($result) == 0)	
	db_query("
		ALTER IGNORE TABLE {$db_prefix}ads
		ADD	CATEGORY tinytext AFTER POSTS", __FILE__, __LINE__);

$result = db_query("SHOW COLUMNS FROM {$db_prefix}ads LIKE 'show_underchildren'", __FILE__, __LINE__);
if (mysql_num_rows($result) == 0)		
	db_query("
		ALTER IGNORE TABLE {$db_prefix}ads
		ADD	show_underchildren smallint(4) NOT NULL default '0'", __FILE__, __LINE__);

	
/*
Inserts into the settings table
*/
db_query("
INSERT IGNORE INTO {$db_prefix}settings
	(variable, value)
VALUES ('ads_displayAdsAdmin', '0'),
	('ads_updateReports', '0'),
	('ads_quickDisable', '0'),
	('ads_lookLikePosts', '1')", __FILE__, __LINE__);
?>
